boost::geometry::policies::relate::segments_direction Struct Reference

List of all members.

## Public Types

typedef direction_type | return_type

## Static Public Member Functions

static void | analyse_position_value (int pos_val, int &in_segment_count, int &on_end_count, int &outside_segment_count)
template<typename Ratio >
static void | analyze (Ratio const &r, int &in_segment_count, int &on_end_count, int &outside_segment_count)
static int | arrival_from_position_value (int, int v_to)
template<typename Ratio >
static int | arrival_value (Ratio const &r_from, Ratio const &r_to)
template<typename Segment >
static return_type | degenerate (Segment const &, bool)
static return_type | disjoint ()
static return_type | error (std::string const &)
template<typename Segment , typename Ratio >
static return_type | one_degenerate (Segment const &, Ratio const &, bool)
template<typename Segment1 , typename Segment2 , typename Ratio >
static return_type | segments_collinear (Segment1 const &, Segment2 const &, bool opposite, int a1_wrt_b, int a2_wrt_b, int b1_wrt_a, int b2_wrt_a, Ratio const &, Ratio const &, Ratio const &, Ratio const &)
template<typename Segment1 , typename Segment2 , typename SegmentIntersectionInfo >
static return_type | segments_crosses (side_info const &sides, SegmentIntersectionInfo const &, Segment1 const &, Segment2 const &)

## Member Typedef Documentation

typedef direction_type boost::geometry::policies::relate::segments_direction::return_type

## Member Function Documentation

template<typename Segment1 , typename Segment2 , typename SegmentIntersectionInfo >

static return_type boost::geometry::policies::relate::segments_direction::segments_crosses | ( | side_info const & | sides,
|  | SegmentIntersectionInfo const & | ,
|  | Segment1 const & | ,
|  | Segment2 const & |
| ) |  | `[static]`

template<typename Ratio >

static int boost::geometry::policies::relate::segments_direction::arrival_value | ( | Ratio const & | r_from,
|  | Ratio const & | r_to
| ) |  | `[static]`

template<typename Ratio >

static void boost::geometry::policies::relate::segments_direction::analyze | ( | Ratio const & | r,
|  | int & | in_segment_count,
|  | int & | on_end_count,
|  | int & | outside_segment_count
| ) |  | `[static]`

static int boost::geometry::policies::relate::segments_direction::arrival_from_position_value | ( | int | ,
|  | int | v_to
| ) |  | `[static]`

static void boost::geometry::policies::relate::segments_direction::analyse_position_value | ( | int | pos_val,
|  | int & | in_segment_count,
|  | int & | on_end_count,
|  | int & | outside_segment_count
| ) |  | `[static]`

template<typename Segment1 , typename Segment2 , typename Ratio >

static return_type boost::geometry::policies::relate::segments_direction::segments_collinear | ( | Segment1 const & | ,
|  | Segment2 const & | ,
|  | bool | opposite,
|  | int | a1_wrt_b,
|  | int | a2_wrt_b,
|  | int | b1_wrt_a,
|  | int | b2_wrt_a,
|  | Ratio const & | ,
|  | Ratio const & | ,
|  | Ratio const & | ,
|  | Ratio const & |
| ) |  | `[static]`

template<typename Segment >

static return_type boost::geometry::policies::relate::segments_direction::degenerate | ( | Segment const & | ,
|  | bool |
| ) |  | `[static]`

template<typename Segment , typename Ratio >

static return_type boost::geometry::policies::relate::segments_direction::one_degenerate | ( | Segment const & | ,
|  | Ratio const & | ,
|  | bool |
| ) |  | `[static]`

static return_type boost::geometry::policies::relate::segments_direction::disjoint | ( |  | ) | `[static]`

static return_type boost::geometry::policies::relate::segments_direction::error | ( | std::string const & |  | ) | `[static]`

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK